Customer Part To Item

The customer part to item resource.

Basehttps://rest.carbon.ms/customerPartToItem
GET/customerPartToItem

List customer part to items

Retrieve a paginated list of customer part to items. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/customerPartToItem
curl --request GET \
  --url 'https://rest.carbon.ms/customerPartToItem?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "customerId": "xyz789",
    "customerPartId": "xyz789",
    "itemId": "xyz789",
    "companyId": "xyz789",
    "customerPartRevision": "string"
  }
]
GET/customerPartToItem

Retrieve a customer part to item

Fetch a single customer part to item by filtering on `id`.

Query parameters

idstring

Match on the customer part to item's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/customerPartToItem
curl --request GET \
  --url 'https://rest.carbon.ms/customerPartToItem?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "customerId": "xyz789",
  "customerPartId": "xyz789",
  "itemId": "xyz789",
  "companyId": "xyz789",
  "customerPartRevision": "string"
}
POST/customerPartToItem

Create a customer part to item

Create a new customer part to item.

Body parameters

customerIdstringrequired

References customer.id

customerPartIdstringrequired
customerPartRevisionstring
itemIdstringrequired

References item.id

companyIdstringrequired

References company.id

POSThttps://rest.carbon.ms/customerPartToItem
curl --request POST \
  --url https://rest.carbon.ms/customerPartToItem \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"customerId":"xyz789","customerPartId":"xyz789","itemId":"xyz789","companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "customerId": "xyz789",
  "customerPartId": "xyz789",
  "itemId": "xyz789",
  "companyId": "xyz789",
  "customerPartRevision": "string"
}
PATCH/customerPartToItem

Update a customer part to item

Update an existing customer part to item, matched on `id`.

Body parameters

customerIdstringrequired

References customer.id

customerPartIdstringrequired
customerPartRevisionstring
itemIdstringrequired

References item.id

companyIdstringrequired

References company.id

PATCHhttps://rest.carbon.ms/customerPartToItem
curl --request PATCH \
  --url 'https://rest.carbon.ms/customerPartToItem?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"customerId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "customerId": "xyz789",
  "customerPartId": "xyz789",
  "itemId": "xyz789",
  "companyId": "xyz789",
  "customerPartRevision": "string"
}
DELETE/customerPartToItem

Delete a customer part to item

Delete a customer part to item, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the customer part to item to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/customerPartToItem
curl --request DELETE \
  --url 'https://rest.carbon.ms/customerPartToItem?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content